Get Feed Posts
Get all the posts for a creator or subscriber.
- If accessed on behalf of a subscriber, posts will be filtered based on active subscription for the mangoes in the post.
- If accessed on behalf of a creator, posts will be filtered based on the creator.
- If accessed without any parameters, all the posts will be returned for the creator.
External access policy
An API key and an authorized white-label host are required. Both tier and plan requirements are enforced.
These requirements apply to the white-label creator for backend-to-backend access. TagMango platform access is not supported.
-
Plans: Unrestricted.
-
Tiers: Unrestricted.
Authorization
bearer In: header
Query Parameters
Number of items per page of the results
1 <= valueOne-based page number. Values below 1 return 400 with "Page number must be greater than or equal to 1".
1 <= valueUnique identifier of the user, if accessed on behalf of a subscriber, courses will be filtered based on active subscription for the mangoes in posts
Comma seperated list of mangoes for filtering feed posts
Comma seperated content types of feed post
Available values: video, image, pdf, xls, doc, text, carousal, poll
Sort by posts
Available values: recent, oldest, most-viewed
Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/feeds/posts" \ -H "x-whitelabel-host: string"[
{
"total": 10,
"data": [
{
"_id": "64fbc8d765c6e5b324d12345",
"title": "Introduction to Mango",
"caption": "Learn the basics of Mango in this video.",
"contentType": "video",
"contentUrl": "https://example.com/video.mp4",
"isPinned": true,
"mangoes": [
{
"_id": "66a1390268a76f2f5c9f39a3",
"title": "Introduction to Coding"
}
],
"likeCount": 10,
"commentCount": 10,
"replyCount": 10,
"views": 10,
"liked": true,
"poll": {
"createdAt": "2024-11-04T13:05:43.799Z",
"updatedAt": "2024-11-04T13:05:43.799Z",
"_id": "64fbc8d765c6e5b324d12345",
"post": "64fbc8d765c6e5b324d54321",
"question": "Which feature should we build next?",
"description": "Pick the one you would use the most.",
"pollOptions": [
{
"optionContent": "string",
"optionNumber": 0,
"optionId": "string"
}
],
"pollStartAt": "2026-01-28T07:47:29.862Z",
"pollEndAt": "2026-02-04T07:47:29.862Z",
"mangoArr": [
"64fbc8d765c6e5b324d45678"
],
"voteCounts": {
"k3j8x2q": 0,
"m91plaz": 0
},
"totalVotes": 0,
"creator": {
"_id": "6659ca9e5f2acb7abfdcd8fd",
"name": "John Doe",
"host": "yourhost.tagmango.com",
"profilePicUrl": "https://linktoprofilepic.com/pic.jpg",
"profilePicUrlUncompressed": "https://linktouncompressedpic.com/pic.jpg",
"res100x100": "https://linkto100x100pic.com/pic.jpg",
"res45x45": "https://linkto45x45pic.com/pic.jpg",
"res100x100_quality_20_blr": "https://linkto100x100quality20blurpic.com/pic.jpg",
"res45x45_quality_20_blr": "https://linkto45x45quality20blurpic.com/pic.jpg"
}
},
"creator": {
"_id": "6659ca9e5f2acb7abfdcd8fd",
"name": "John Doe",
"host": "yourhost.tagmango.com",
"profilePicUrl": "https://linktoprofilepic.com/pic.jpg",
"profilePicUrlUncompressed": "https://linktouncompressedpic.com/pic.jpg",
"res100x100": "https://linkto100x100pic.com/pic.jpg",
"res45x45": "https://linkto45x45pic.com/pic.jpg",
"res100x100_quality_20_blr": "https://linkto100x100quality20blurpic.com/pic.jpg",
"res45x45_quality_20_blr": "https://linkto45x45quality20blurpic.com/pic.jpg"
},
"postRef": {
"title": "Introduction to Mango",
"caption": "Learn the basics of Mango in this video.",
"contentType": "video",
"contentUrl": "https://example.com/video.mp4",
"creator": {
"_id": "6659ca9e5f2acb7abfdcd8fd",
"name": "John Doe",
"host": "yourhost.tagmango.com",
"profilePicUrl": "https://linktoprofilepic.com/pic.jpg",
"profilePicUrlUncompressed": "https://linktouncompressedpic.com/pic.jpg",
"res100x100": "https://linkto100x100pic.com/pic.jpg",
"res45x45": "https://linkto45x45pic.com/pic.jpg",
"res100x100_quality_20_blr": "https://linkto100x100quality20blurpic.com/pic.jpg",
"res45x45_quality_20_blr": "https://linkto45x45quality20blurpic.com/pic.jpg"
},
"likeCount": 10,
"commentCount": 10,
"replyCount": 10
},
"tags": [
{
"tagName": "JavaScript",
"creator": "64fbc8d765c6e5b324d67890"
}
]
}
]
}
]{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}